Skip to content
TAM ReportingReference

Get status of a running report

GET
/api/reports/status/{uid}

Return the status of a one-time or saved-report run. When status is finished, uri contains the HTTPS download link for the CSV or XLSX file. Rate limit: 1 call / 5 seconds per seat. Poll about every 10 seconds.

Authorization

TamApiKey
Authorization<token>

TAM API key generated in Teads Ad Manager (Settings → API Keys). Send the raw key. Do not prefix with Bearer.

In: header

Path Parameters

uid*string

UUID of a report run returned by a run endpoint.

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/api/reports/status/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "start": "2019-08-24T14:15:22Z",  "lastStatusUpdate": "2019-08-24T14:15:22Z",  "status": "queued",  "valid": true,  "reportProgress": {    "stepMax": 0,    "step": 0,    "progressMax": 0,    "progress": 0  },  "message": "string",  "uri": "http://example.com"}